{ ... }:

{
  # Kernel
  # boot.kernelPackages = pkgs.linuxPackages_6_12;

  # Boot
  boot.loader.systemd-boot.enable = true;
  boot.loader.systemd-boot.configurationLimit = 10;
  boot.loader.efi.canTouchEfiVariables = true;
  # boot.kernelParams = [ "quiet" ];
  boot.initrd.systemd = {
    enable = true;
    # network.enable = true;
  };

  # RAID
  boot.swraid.mdadmConf = ''
    ARRAY /dev/md127 metadata=1.2 UUID=a531d539:bc4263d2:bcc8330f:0d364869
  '';
}
